<?php

include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
$session_id= session_id();	

$con_tasa=mysqli_query($con, "select * from tasa where id_tasa='1'");
while ($res_tasa=mysqli_fetch_array($con_tasa))
{
	$id_tasa=$res_tasa['id_tasa'];
	$tasa_actual=$res_tasa['tasa'];
	$ult_act=$res_tasa['fecha'];
}

if (isset($_GET['id']))//codigo elimina un elemento del array
{
	$id_tmp_despacho=intval($_GET['id']);	
	$delete=mysqli_query($con, "DELETE FROM tmp_despacho WHERE id_tmp_despacho='".$id_tmp_despacho."'");
}
else 
{
	$id=$_POST['id'];
	$cantidad=$_POST['cantidad'];
	
	$num_des=$_SESSION['num_des'];

	if (!empty($cantidad))
	{
		$consulta=mysqli_query($con,"SELECT * FROM products WHERE id_producto=$id");
		$dato=mysqli_fetch_array($consulta);
		$exis=$dato['existencia'];
		$nom_pro=$dato['nombre_producto'];
		$codigo_pro=$dato['codigo_producto'];

		if($cantidad>$exis)
		{
			echo "<script>alert('cantidad no disponible')
			history.back(1)</script>";
		}
		else
		{
			$insert_tmp_despacho=mysqli_query($con, "INSERT INTO tmp_despacho (id_producto,cantidad_tmp_despacho,session_id) VALUES ('$id','$cantidad','$session_id')");
		}
	}	
}

?>
<table class="table" style="font-size:12px;">
	<tr>
		<th class='text-center'>CANT.</th>
		<th class='text-center'>DESCRIPCION</th>
	<th></th>
	</tr>
	<?php
  	
	$sumador_total=0;
	$sql=mysqli_query($con, "select * from products, tmp_despacho where products.id_producto=tmp_despacho.id_producto and tmp_despacho.session_id='".$session_id."'");
	while ($row=mysqli_fetch_array($sql))
	{
		
		
		$id_tmp_despacho=$row["id_tmp_despacho"];
		$codigo_producto=$row['codigo'];
		$cantidad=$row['cantidad_tmp_despacho'];
		$nombre_producto=$row['nombre_producto'];
		$id_producto=$row["id_producto"];
		
		?>
		<input type="hidden" value="<?php echo $codigo_producto;?>" id="codigo_producto<?php echo $id_producto;?>">
		<input type="hidden" value="<?php echo $nombre_producto;?>" id="nombre_producto<?php echo $id_producto;?>">
		<tr>
			<td class='text-center'><?php echo $cantidad;?></td>
			<td class='text-center'><?php echo $nombre_producto;?>
            <?php 
			if(preg_match('/BATERIA/i', $nombre_producto))
			{
				if($codigo_producto=="")
				{
				?>
            		<a href="#" class='btn btn-default' data-id="<?php echo $id_producto;?>" data-toggle="modal" data-target="#codi">Cargar Codigo</a>
				<?php 
				}
				else
				{
				?>
            		<span class='text-center'>Codigo: <?php echo $codigo_producto;?></span>
				
				<?php
				}
			}?></td>
            
			<td class='text-center'><a href="#" onclick="eliminar('<?php echo $id_tmp_despacho ?>')"><i class="glyphicon glyphicon-trash"></i></a></td>
		</tr>		
		<?php
	}
	
		?>
	
</table>
